GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
geos::io::WKTReader Class Reference

WKT parser class; see also WKTWriter. More...

`#include <geos.h>`

## Public Member Functions
| WKTReader (const geom::GeometryFactory *gf)
| Inizialize parser with given GeometryFactory.
| WKTReader ()
| Inizialize parser with default GeometryFactory.
geom::Geometry * | read (const std::string &wellKnownText)
| Parse a WKT string returning a Geometry.

## Protected Member Functions
geom::CoordinateSequence * | getCoordinates (io::StringTokenizer *tokenizer)
double | getNextNumber (io::StringTokenizer *tokenizer)
std::string | getNextEmptyOrOpener (io::StringTokenizer *tokenizer)
std::string | getNextCloserOrComma (io::StringTokenizer *tokenizer)
std::string | getNextCloser (io::StringTokenizer *tokenizer)
std::string | getNextWord (io::StringTokenizer *tokenizer)
geom::Geometry * | readGeometryTaggedText (io::StringTokenizer *tokenizer)
geom::Point * | readPointText (io::StringTokenizer *tokenizer)
geom::LineString * | readLineStringText (io::StringTokenizer *tokenizer)
geom::LinearRing * | readLinearRingText (io::StringTokenizer *tokenizer)
geom::MultiPoint * | readMultiPointText (io::StringTokenizer *tokenizer)
geom::Polygon * | readPolygonText (io::StringTokenizer *tokenizer)
geom::MultiLineString * | readMultiLineStringText (io::StringTokenizer *tokenizer)
geom::MultiPolygon * | readMultiPolygonText (io::StringTokenizer *tokenizer)
geom::GeometryCollection * | readGeometryCollectionText (io::StringTokenizer *tokenizer)

## Detailed Description

WKT parser class; see also WKTWriter.

## Constructor & Destructor Documentation

geos::io::WKTReader::WKTReader | ( | const geom::GeometryFactory * | gf | ) |

Inizialize parser with given GeometryFactory.

Note that all Geometry objects created by the parser will contain a pointer to the given factory so be sure you'll keep the factory alive for the whole WKTReader and created Geometry life.

The documentation for this class was generated from the following file:

- WKTReader.h